// file      : CCF/CompilerElements/FileSystem.hpp
// author    : Boris Kolpackov <boris@dre.vanderbilt.edu>
// cvs-id    : FileSystem.hpp,v 1.1 2003/05/31 00:56:39 parsons Exp

#ifndef CCF_RUNTIME_FILE_SYSTEM_HPP
#define CCF_RUNTIME_FILE_SYSTEM_HPP

#include "MSVC_Pragmas.hpp"

#include <boost/filesystem/path.hpp>
#include <boost/filesystem/fstream.hpp>
#include <boost/filesystem/exception.hpp>
#include <boost/filesystem/operations.hpp>

namespace fs = boost::filesystem;

#endif  // CCF_RUNTIME_FILE_SYSTEM_HPP
